# Misc › Startup Program API

> Part of the OVHcloud developer hub. Index of every page and section: https://developers.eu.ovhcloud.com/llms.txt
> The Misc product's sections: https://developers.eu.ovhcloud.com/reference/misc/llms.txt
> Everything in one file: https://developers.eu.ovhcloud.com/llms-full.txt

> 2 operations of the OVHcloud API. Calls carry `authorization: Bearer $OVH_TOKEN`; the EU host is shown, Canada and the United States answer on api.ca.ovhcloud.com and api.us.ovhcloud.com.

Page: https://developers.eu.ovhcloud.com/reference/misc/startup-program/

OpenAPI v1: https://api.eu.ovhcloud.com/1.0/__schemas/developer-hub-navigation/misc/startup-program.json?format=openapi3
OpenAPI v2: https://api.eu.ovhcloud.com/v2/__schemas/developer-hub-navigation/misc/startup-program.json?format=openapi3

## Operations

- `GET /startup` — Get startup status
- `POST /startup` — Register a startup

## Get startup status

`GET /1.0/startup`

Link: https://developers.eu.ovhcloud.com/reference/misc/startup-program/#get-startup

**Status:** Stable production version  
**IAM actions:** `account:apiovh:startup/get`

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | startup.startup | successful operation |
| 404 | object | Error 404 response |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `acceptanceStatus` | startup.acceptanceStatusEnum | read-only | Acceptance Status — one of `Advanced`, `AdvancedHandOperated`, `AdvancedQualified`, `Banned`, `Open`, `Registered`, `RegisteredQualified`, `Rejected` |
| `awarness` | startup.awarnessEnum | yes | Where did you hear about OVHcloud — one of `Email`, `EmpactVenture`, `Event`, `Facebook`, `InternetSearch`, `LinkedIn`, `OnlineAdvert`, `Partner`, `Twitter`, `Website`, `WordOfMouth` |
| `company` | startup.startup.company | yes | Company information |
| `company.detail` | startup.startup.company.detail |  | Company detail |
| `company.detail.creationdate` | string (date) | yes | Creation date of the company, madatory if the company is created |
| `company.detail.lastYearTurnover` | number | yes | Last 12mth turnover, madatory if the company is created |
| `company.detail.vatNumber` | string | yes | vat number, madatory if the company is created |
| `company.employeesNumber` | startup.employeesNumberEnum | yes | Number of employees — one of `100To199`, `10To19`, `1Or2`, `200To249`, `20To49`, `250To499`, `3To5`, `50To99`, `6To9` |
| `company.incubator` | startup.startup.company.incubator |  | Incubator |
| `company.incubator.city` | string | yes | Ecosystem support city |
| `company.incubator.country` | nichandle.CountryEnum | yes | Ecosystem support country — one of `AC`, `AD`, `AE`, `AF`, `AG`, `AI`, `AL`, `AM`, `AO`, `AQ`, `AR`, `AS`, … |
| `company.incubator.name` | string | yes | Do you have startup ecosystem support from any of these |
| `company.name` | string | yes | Company Name |
| `company.relatedIndustry` | startup.relatedIndustryEnum | yes | Society Industries — one of `AI_Wholesale`, `ARTISANAT`, `ASP_SI_ITServices`, `Accommodation_and_FoodServices`, `Agriculture`, `Agro_industry`, `Art_Sport_Entertainment`, `Automotive`, `Banking`, `Construction_and_Architecture`, `Databases_Wholesale`, `DigitalServices`, … |
| `company.socialNetwork` | startup.startup.company.socialNetwork |  | Social Network info |
| `company.socialNetwork.linkedin` | string |  | Linkedin link |
| `company.socialNetwork.twitter` | string |  | Twitter link |
| `company.societyWebsite` | string | yes | Company website |
| `eventCode` | string |  | Code given to startups during events or partnerships. |
| `fundRaising` | startup.startup.fundRaising | yes | Fund raising info |
| `fundRaising.lastFundraising` | startup.lastFundraisingEnum | yes | Last fundraising — one of `Crowdfunding`, `DontShare`, `More`, `No`, `PreSeed`, `Seed`, `Series_A`, `Series_B`, `Series_C` |
| `fundRaising.plannedFundRaising` | startup.plannedFundRaisingEnum | yes | Next fundraising — one of `DontShare`, `No`, `Yes` |
| `project` | startup.startup.project | yes | Project information |
| `project.businessModel` | string | yes | Describe your business model |
| `project.description` | string | yes | What problem are you solving |
| `project.developmentStage` | string | yes | Stage of development description |
| `project.productName` | string | yes | Product / Solution name |
| `project.relatedTechnology` | startup.relatedTechnologyEnum[] | yes | Fund raising info |
| `project.requirements` | startup.startup.project.technicalNeed | yes | Technical requirements description |
| `project.requirements.infrastructureUsing` | startup.infrastructureUsingEnum | yes | When do you plan to start using cloud infrastructure? — one of `1To6`, `6To12`, `DontKnow`, `Less1`, `Over12` |
| `project.requirements.otherCloudProvider` | boolean |  | Are you currently using another cloud provider |
| `project.requirements.otherCloudProviderInfo` | string |  | Other cloud provider info |
| `project.requirements.technicalNeeds` | string | yes | Technical requirements description |

```json
{
  "acceptanceStatus": "Advanced",
  "awarness": "Email",
  "company": {
    "detail": {
      "creationdate": "2024-01-01",
      "lastYearTurnover": 0,
      "vatNumber": "string"
    },
    "employeesNumber": "100To199",
    "incubator": {
      "city": "string",
      "country": "AC",
      "name": "string"
    },
    "name": "string",
    "relatedIndustry": "AI_Wholesale",
    "socialNetwork": {
      "linkedin": "string",
      "twitter": "string"
    },
    "societyWebsite": "string"
  },
  "eventCode": "string",
  "fundRaising": {
    "lastFundraising": "Crowdfunding",
    "plannedFundRaising": "DontShare"
  },
  "project": {
    "businessModel": "string",
    "description": "string",
    "developmentStage": "string",
    "productName": "string",
    "relatedTechnology": [
      "3dPrinting"
    ],
    "requirements": {
      "infrastructureUsing": "1To6",
      "otherCloudProvider": true,
      "otherCloudProviderInfo": "string",
      "technicalNeeds": "string"
    }
  }
}
```

### Example

```bash
curl -X GET \
  "https://api.eu.ovhcloud.com/1.0/startup" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.get("/startup")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->get("/startup");

print_r($result);
?>
```

## Register a startup

`POST /1.0/startup`

Link: https://developers.eu.ovhcloud.com/reference/misc/startup-program/#post-startup

**Status:** Stable production version  
**IAM actions:** `account:apiovh:startup/create`

### Request body (required)

Type: `startup.startup`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `acceptanceStatus` | startup.acceptanceStatusEnum | read-only | Acceptance Status — one of `Advanced`, `AdvancedHandOperated`, `AdvancedQualified`, `Banned`, `Open`, `Registered`, `RegisteredQualified`, `Rejected` |
| `awarness` | startup.awarnessEnum | yes | Where did you hear about OVHcloud — one of `Email`, `EmpactVenture`, `Event`, `Facebook`, `InternetSearch`, `LinkedIn`, `OnlineAdvert`, `Partner`, `Twitter`, `Website`, `WordOfMouth` |
| `company` | startup.startup.company | yes | Company information |
| `company.detail` | startup.startup.company.detail |  | Company detail |
| `company.detail.creationdate` | string (date) | yes | Creation date of the company, madatory if the company is created |
| `company.detail.lastYearTurnover` | number | yes | Last 12mth turnover, madatory if the company is created |
| `company.detail.vatNumber` | string | yes | vat number, madatory if the company is created |
| `company.employeesNumber` | startup.employeesNumberEnum | yes | Number of employees — one of `100To199`, `10To19`, `1Or2`, `200To249`, `20To49`, `250To499`, `3To5`, `50To99`, `6To9` |
| `company.incubator` | startup.startup.company.incubator |  | Incubator |
| `company.incubator.city` | string | yes | Ecosystem support city |
| `company.incubator.country` | nichandle.CountryEnum | yes | Ecosystem support country — one of `AC`, `AD`, `AE`, `AF`, `AG`, `AI`, `AL`, `AM`, `AO`, `AQ`, `AR`, `AS`, … |
| `company.incubator.name` | string | yes | Do you have startup ecosystem support from any of these |
| `company.name` | string | yes | Company Name |
| `company.relatedIndustry` | startup.relatedIndustryEnum | yes | Society Industries — one of `AI_Wholesale`, `ARTISANAT`, `ASP_SI_ITServices`, `Accommodation_and_FoodServices`, `Agriculture`, `Agro_industry`, `Art_Sport_Entertainment`, `Automotive`, `Banking`, `Construction_and_Architecture`, `Databases_Wholesale`, `DigitalServices`, … |
| `company.socialNetwork` | startup.startup.company.socialNetwork |  | Social Network info |
| `company.socialNetwork.linkedin` | string |  | Linkedin link |
| `company.socialNetwork.twitter` | string |  | Twitter link |
| `company.societyWebsite` | string | yes | Company website |
| `eventCode` | string |  | Code given to startups during events or partnerships. |
| `fundRaising` | startup.startup.fundRaising | yes | Fund raising info |
| `fundRaising.lastFundraising` | startup.lastFundraisingEnum | yes | Last fundraising — one of `Crowdfunding`, `DontShare`, `More`, `No`, `PreSeed`, `Seed`, `Series_A`, `Series_B`, `Series_C` |
| `fundRaising.plannedFundRaising` | startup.plannedFundRaisingEnum | yes | Next fundraising — one of `DontShare`, `No`, `Yes` |
| `project` | startup.startup.project | yes | Project information |
| `project.businessModel` | string | yes | Describe your business model |
| `project.description` | string | yes | What problem are you solving |
| `project.developmentStage` | string | yes | Stage of development description |
| `project.productName` | string | yes | Product / Solution name |
| `project.relatedTechnology` | startup.relatedTechnologyEnum[] | yes | Fund raising info |
| `project.requirements` | startup.startup.project.technicalNeed | yes | Technical requirements description |
| `project.requirements.infrastructureUsing` | startup.infrastructureUsingEnum | yes | When do you plan to start using cloud infrastructure? — one of `1To6`, `6To12`, `DontKnow`, `Less1`, `Over12` |
| `project.requirements.otherCloudProvider` | boolean |  | Are you currently using another cloud provider |
| `project.requirements.otherCloudProviderInfo` | string |  | Other cloud provider info |
| `project.requirements.technicalNeeds` | string | yes | Technical requirements description |

```json
{
  "awarness": "Email",
  "company": {
    "detail": {
      "creationdate": "2024-01-01",
      "lastYearTurnover": 0,
      "vatNumber": "string"
    },
    "employeesNumber": "100To199",
    "incubator": {
      "city": "string",
      "country": "AC",
      "name": "string"
    },
    "name": "string",
    "relatedIndustry": "AI_Wholesale",
    "socialNetwork": {
      "linkedin": "string",
      "twitter": "string"
    },
    "societyWebsite": "string"
  },
  "eventCode": "string",
  "fundRaising": {
    "lastFundraising": "Crowdfunding",
    "plannedFundRaising": "DontShare"
  },
  "project": {
    "businessModel": "string",
    "description": "string",
    "developmentStage": "string",
    "productName": "string",
    "relatedTechnology": [
      "3dPrinting"
    ],
    "requirements": {
      "infrastructureUsing": "1To6",
      "otherCloudProvider": true,
      "otherCloudProviderInfo": "string",
      "technicalNeeds": "string"
    }
  }
}
```

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | — | successful operation |

### Example

```bash
curl -X POST \
  "https://api.eu.ovhcloud.com/1.0/startup" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN" \
  -H "content-type: application/json" \
  -d '{ }'
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

# Request body type: startup.startup
result = client.post("/startup",
	awarness = None, # Where did you hear about OVHcloud (type: startup.awarnessEnum)
	company = None, # Company information (type: startup.startup.company)
	eventCode = None, # Code given to startups during events or partnerships. (type: string, nullable)
	fundRaising = None, # Fund raising info (type: startup.startup.fundRaising)
	project = None, # Project information (type: startup.startup.project)
)

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

// Request body type: startup.startup
$result = $ovh->post("/startup", array(
	awarness => null, // Where did you hear about OVHcloud (type: startup.awarnessEnum)
	company => null, // Company information (type: startup.startup.company)
	eventCode => null, // Code given to startups during events or partnerships. (type: string, nullable)
	fundRaising => null, // Fund raising info (type: startup.startup.fundRaising)
	project => null, // Project information (type: startup.startup.project)
));

print_r($result);
?>
```
